// TEST: COmplex else pairing
// See K&R p.51
#include <stdio.h>
int main(void) {
    // This is correct indentation.
    if (1)
        if (0)
            printf("Won't get here.\n");
        else // This else line runs.
            printf("Inner else executed.\n");
    // This is misleading indentation. No output occurs.
    if (0)
        if (0)
            printf("Won't get here.\n");
    else // Wrong indent!
        printf("Never executed!!!\n");
    return 0;
}
